// Copyright (C) 2001 Nils Bokermann <Nils.Bokermann@mediaWays.net>
//
// PURPOSE OF THIS FILE: Override the wrong TagClass.
//
// - Automatic Version Information via RCS:
//   $Id: LDAP_SBindRequest_authentication.cxx,v 1.5 2002/07/15 12:59:44 nilsb Exp $
//   $Source: /cvsroot/openh323gk/openh323gk/ldap/src/LDAP_SBindRequest_authentication.cxx,v $
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "LDAP_SBindRequest_authentication.h"

#ifndef lint
// mark object with version info in such a way that it is retrievable by
// the std. version/revision control tools like RCS/CVS ident cmd.. At
// least the strings cmd will extract this info.
static const char gkid[] = LDAPGVS;
static const char vcid[] = "@(#) $Id: LDAP_SBindRequest_authentication.cxx,v 1.5 2002/07/15 12:59:44 nilsb Exp $";
static const char vcHid[] = LDAP_SBINDREQUEST_AUTHENTICATION_H;
#endif

bool LDAP_SBindRequest_authentication::SetCredentials(char *val, int len) {
  delete choice;
  choice=NULL;
  if((NULL!=val) && (len >=0)) {
    if(val[len]!='\0') {
      PTRACE(5, "delimiting credential");
      val[len]='\0';
    }
    PINDEX size = static_cast<PINDEX> (len);
    PASN_OctetString auth=PASN_OctetString(val, size);
    this->SetTag(LDAP_BindRequest_authentication::e_simple,PASN_Object::ContextSpecificTagClass);
    auth.SetTag(LDAP_BindRequest_authentication::e_simple,PASN_Object::ContextSpecificTagClass);
    choice = new PASN_OctetString(auth);
  }
  return (NULL!=choice);
}
//
// End of LDAP_SBindRequest_authentication.cxx
//
